Subject: Re: [rddp] Verbs?

From: "Renato Recio" <[email-masked]>
Date: Wed, 2 Oct 2002 10:41:46 -0500

Sounds like a good guideline to me.

Renato J Recio
Distinguished Engineer
IBM I/O Architecture and Technology
Tel 512-838-3685, T/L 678-3685

                      Caitlin Bestler                                                                                   
                      <[email-masked]        To:       [email-masked], [email-masked]                             
                      i.net>                   cc:                                                                      
                      Sent by:                 Subject:  [rddp] Verbs?                                                  
                      [email-masked]                                                                                 
                      rg                                                                                                

                      10/01/2002 09:57                                                                                  
                      PM                                                                                                

On 10/1/02, [email-masked] wrote:

>
>With my WG chair hat on, I believe that this is necessary
>- if this is not done, the result is to allow an
>implementation with a single global PD across all
>connections in a multi-user environment, which would open
>unacceptable security holes for both memory access and
>remote STag Invalidates.  I believe the folks who pointed
>out that iSCSI ITTs and IPsec SPIs are restricted to
>individual connections/sessions whereas STags have no
>restrictions as currently specified are supporting this
>point (thanks).
>
>Anticipating the "... but, but ... this is a verbs issue"
>response, I have a few more comments:
>(1) If the RDMAP and DDP protocol specs can only be
>understood by
> also reading the verbs material, the verbs material needs
> to be submitted as an Internet-Draft ASAP.  Until this is
> done, further discussion of verbs is questionable here.
>(2) If there are security properties of the protocols that
>are
> enforced by the verbs interface, the result will be a
> requirement that implementations MUST NOT provide access
> to the protocols through any interface that doesn't
> conform to the verbs.
>
>I would prefer that the security properties of the
>protocols and the restrictions/requirements on
>implementation behavior necessary to achieve them be
>documented in the protocol specs themselves, but am
>prepared to be convinced that the only reasonable way to
>do this is to specify the verb interface and require its
>use.
>

What is the extent to which verb specification is
permissable and/or desirable?

My assumption has been that the *capabilities* of the local
interface are fully in scope because they are needed to
establish semantics and clarify security issues. But
something that made assumptions about the local programming
model, even to the extent that InfiniBand verbs do, was
going to far.

How close to a correct guideline is that?

Caitlin Bestler
http://asomi.com/CaitlinBestler/
_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp